# DBADMIN FOR [DOLIBARR ERP CRM](https://www.dolibarr.org)

## Features

Database management tool : Allows you to view, edit, export Dolibarr database. 

**It is based on [Adminer](https://www.adminer.org/)**

![Screenshot dbadmin](img/screenshot_en.png?raw=true "Dbadmin"){imgmd}

### Add a new permission
![Permission dbadmin](img/permission_en.png "Dbadmin")

Other modules are available on [Dolistore.com](https://www.dolistore.com>).

## Translations

Translations can be define manually by editing files into directories *langs*.
Adminer is coming with 17 languages embeded


## Installation

### From the ZIP file and GUI interface

- If you get the module in a zip file (like when downloading it from the market place [Dolistore](https://www.dolistore.com)), go into
menu ```Home - Setup - Modules - Deploy external module``` and upload the zip file.

Note: If this screen tell you there is no custom directory, check your setup is correct:

- In your Dolibarr installation directory, edit the ```htdocs/conf/conf.php``` file and check that following lines are not commented:

    ```php
    //$dolibarr_main_url_root_alt ...
    //$dolibarr_main_document_root_alt ...
    ```

- Uncomment them if necessary (delete the leading ```//```) and assign a sensible value according to your Dolibarr installation

    For example :

    - UNIX:
        ```php
        $dolibarr_main_url_root_alt = '/custom';
        $dolibarr_main_document_root_alt = '/var/www/Dolibarr/htdocs/custom';
        ```

    - Windows:
        ```php
        $dolibarr_main_url_root_alt = '/custom';
        $dolibarr_main_document_root_alt = 'C:/My Web Sites/Dolibarr/htdocs/custom';
        ```

### From a GIT repository

- Clone the repository in ```$dolibarr_main_document_root_alt/dbadmin```

```sh
cd ....../custom
git clone git@github.com:gitlogin/dbadmin.git dbadmin
```

### Final steps

From your browser:

  - Log into Dolibarr as a super-administrator
  - Go to "Setup" -> "Modules"
  - You should now be able to find and enable the module

## Licenses

### Main code

GPLv3 or (at your option) any later version. See file COPYING for more information.

### Documentation

All texts and readmes are licensed under GFDL.
